Origin: https://github.com/cyrusimap/cyrus-imapd/commit/e1ce7f69a55dc3b58e3cfbe0dc7872cd37dc3b87
From: Bastian Germann <bage@debian.org>
Date: Mon, 27 Jul 2026 00:13:02 +0200
Subject: [PATCH] bitvector: initialize with zeros

Fixes: #6143
---
--- a/lib/bitvector.h
+++ b/lib/bitvector.h
@@ -21,7 +21,7 @@ struct bitvector
     } bits;
 };
 
-#define BV_INITIALIZER  { 0, 0, {0} }
+#define BV_INITIALIZER  { 0, 0, { ._noalloc = {0} } }
 
 extern void bv_init(bitvector_t *);
 extern void bv_setsize(bitvector_t *, unsigned int i);
